Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		readline
Version:	6.1
Release:	2
Epoch:		1
Provides:	%{name} 
License:	GNU/GPL 
URL:		http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	readline is a set of functions for use by applications that allow users to edit commandline.
BuildRequires:	ncurses-devel
# FIXME
Provides:	libreadline.so.5
Provides:       libhistory.so.5
Prereq(post,preun): /sbin/install-info

BuildRequires: ncurses-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel


%description
readline is a set of functions for use by applications that allow users to edit commandline.
For more details see: http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html

%package devel
Summary: 	readline development headers.
Group: 		%{group}            
Requires: 	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header and include files for developing applications with readline.

%post
/sbin/install-info %_infodir/%{name}.info.gz %_infodir/dir
/sbin/install-info %_infodir/history.info.gz %_infodir/dir
/sbin/install-info %_infodir/rluserman.info.gz %_infodir/dir

%preun
if [ "$1" = 0 ]; then
/sbin/install-info --del %_infodir/%{name}.info.gz %_infodir/dir
/sbin/install-info --del %_infodir/history.info.gz %_infodir/dir
/sbin/install-info --del %_infodir/rluserman.info.gz %_infodir/dir
fi 

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--with-curses=ncurses \
--mandir=%_mandir \
--enable-shared \
--enable-multibyte \
--infodir=%_infodir \
--includedir=%_includedir \
--libdir=/lib
make

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%_infodir/dir
# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_datadir/readline/
%{_infodir}/history.info.gz
%{_infodir}/readline.info.gz
%{_infodir}/rluserman.info.gz
%{_mandir}/man3/history.3.gz
%{_mandir}/man3/readline.3.gz
/%{_lib}/libhistory.so.*
/%{_lib}/libreadline.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/readline
/%{_lib}/libhistory.a
/%{_lib}/libhistory.so
/%{_lib}/libreadline.a
/%{_lib}/libreadline.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Oct 27 2010 Karsten Brockmann <arcam@ccux-linux.de> 6.1-2
- added termcap support
* Tue Jan 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 6.1-1
- Version update
- enabled multibyte character support
* Wed Feb 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 6.0-1
- Version update
* Sat Mar 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 5.2-1
- Version update
* Sat Dec 24 2005 Karsten Brockmann <arcam@ccux-linux.de> 5.1-1
- Version update
* Sun Nov 20 2005 Christian Wasem <wasem@ccux-linux.de> 5.0-5
- added info install
* Sat Nov 19 2005 Uli Schukraft <schukraft@ccux-linux.de> 5.0-4
- removed unnecessary Obsoletes-Tag
* Tue Apr 19 2005 Christian Wasem <wasem@ccux-linux.de> 5.0-3
- added some patches
* Mon Apr 18 2005 Christian Metzen <metzench@ccux-linux.de> 5.0-2
- updating to 5.0 again
* Mon Apr 18 2005 Christian Metzen <metzench@ccux-linux.de> 4.3-2
- Downgrade to 4.3
* Fri Apr 14 2005 Christian Wasem <wasem@ccux-linux.de> 5.0-1
- Update to Version 5.0
